Loading...
Searching...
No Matches
getrf: LU factorization - no pivoting
Batched LA » Linear system solvers » General matrices: LU » No pivoting variant

## Functions

magma_int_t | magma_cgetrf_nopiv_batched (magma_int_t m, magma_int_t n, magmaFloatComplex **dA_array, magma_int_t ldda, magma_int_t *info_array, magma_int_t batchCount, magma_queue_t queue)
| CGETRF computes an LU factorization of a general M-by-N matrix A without pivoting.
magma_int_t | magma_dgetrf_nopiv_batched (magma_int_t m, magma_int_t n, double **dA_array, magma_int_t ldda, magma_int_t *info_array, magma_int_t batchCount, magma_queue_t queue)
| DGETRF computes an LU factorization of a general M-by-N matrix A without pivoting.
magma_int_t | magma_sgetrf_nopiv_batched (magma_int_t m, magma_int_t n, float **dA_array, magma_int_t ldda, magma_int_t *info_array, magma_int_t batchCount, magma_queue_t queue)
| SGETRF computes an LU factorization of a general M-by-N matrix A without pivoting.
magma_int_t | magma_zgetrf_nopiv_batched (magma_int_t m, magma_int_t n, magmaDoubleComplex **dA_array, magma_int_t ldda, magma_int_t *info_array, magma_int_t batchCount, magma_queue_t queue)
| ZGETRF computes an LU factorization of a general M-by-N matrix A without pivoting.

## Detailed Description

## Function Documentation

## magma_cgetrf_nopiv_batched()

magma_int_t magma_cgetrf_nopiv_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex ** | dA_array,
|  | magma_int_t | ldda,
|  | magma_int_t * | info_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

CGETRF computes an LU factorization of a general M-by-N matrix A without pivoting.

The factorization has the form A = L * U where L is lower triangular with unit diagonal elements (lower trapezoidal if m > n), and U is upper triangular (upper trapezoidal if m < n).

This is the right-looking Level 3 BLAS version of the algorithm.

This is a batched version that factors batchCount M-by-N matrices in parallel. dA, and info become arrays with one entry per matrix.

Parameters

  [in] | m | INTEGER The number of rows of each matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of each matrix A. N >= 0.
  [in,out] | dA_array | Array of pointers, dimension (batchCount). Each is a COMPLEX array on the GPU, dimension (LDDA,N). On entry, each pointer is an M-by-N matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of each array A. LDDA >= max(1,M).

  [out]

  info_array

  Array of INTEGERs, dimension (batchCount), for corresponding matrices.
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value or another error occured, such as memory allocation failed.
  - > 0: if INFO = i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dgetrf_nopiv_batched()

magma_int_t magma_dgetrf_nopiv_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | double ** | dA_array,
|  | magma_int_t | ldda,
|  | magma_int_t * | info_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

DGETRF computes an LU factorization of a general M-by-N matrix A without pivoting.

The factorization has the form A = L * U where L is lower triangular with unit diagonal elements (lower trapezoidal if m > n), and U is upper triangular (upper trapezoidal if m < n).

This is the right-looking Level 3 BLAS version of the algorithm.

This is a batched version that factors batchCount M-by-N matrices in parallel. dA, and info become arrays with one entry per matrix.

Parameters

  [in] | m | INTEGER The number of rows of each matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of each matrix A. N >= 0.
  [in,out] | dA_array | Array of pointers, dimension (batchCount). Each is a DOUBLE PRECISION array on the GPU, dimension (LDDA,N). On entry, each pointer is an M-by-N matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of each array A. LDDA >= max(1,M).

  [out]

  info_array

  Array of INTEGERs, dimension (batchCount), for corresponding matrices.
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value or another error occured, such as memory allocation failed.
  - > 0: if INFO = i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sgetrf_nopiv_batched()

magma_int_t magma_sgetrf_nopiv_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | float ** | dA_array,
|  | magma_int_t | ldda,
|  | magma_int_t * | info_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

SGETRF computes an LU factorization of a general M-by-N matrix A without pivoting.

The factorization has the form A = L * U where L is lower triangular with unit diagonal elements (lower trapezoidal if m > n), and U is upper triangular (upper trapezoidal if m < n).

This is the right-looking Level 3 BLAS version of the algorithm.

This is a batched version that factors batchCount M-by-N matrices in parallel. dA, and info become arrays with one entry per matrix.

Parameters

  [in] | m | INTEGER The number of rows of each matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of each matrix A. N >= 0.
  [in,out] | dA_array | Array of pointers, dimension (batchCount). Each is a REAL array on the GPU, dimension (LDDA,N). On entry, each pointer is an M-by-N matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of each array A. LDDA >= max(1,M).

  [out]

  info_array

  Array of INTEGERs, dimension (batchCount), for corresponding matrices.
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value or another error occured, such as memory allocation failed.
  - > 0: if INFO = i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zgetrf_nopiv_batched()

magma_int_t magma_zgetrf_nopiv_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex ** | dA_array,
|  | magma_int_t | ldda,
|  | magma_int_t * | info_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ZGETRF computes an LU factorization of a general M-by-N matrix A without pivoting.

The factorization has the form A = L * U where L is lower triangular with unit diagonal elements (lower trapezoidal if m > n), and U is upper triangular (upper trapezoidal if m < n).

This is the right-looking Level 3 BLAS version of the algorithm.

This is a batched version that factors batchCount M-by-N matrices in parallel. dA, and info become arrays with one entry per matrix.

Parameters

  [in] | m | INTEGER The number of rows of each matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of each matrix A. N >= 0.
  [in,out] | dA_array | Array of pointers, dimension (batchCount). Each is a COMPLEX_16 array on the GPU, dimension (LDDA,N). On entry, each pointer is an M-by-N matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of each array A. LDDA >= max(1,M).

  [out]

  info_array

  Array of INTEGERs, dimension (batchCount), for corresponding matrices.
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value or another error occured, such as memory allocation failed.
  - > 0: if INFO = i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.